%global srcname pyPEG2

Name:		python3-%{srcname}
Version:	2.15.2
Release:	2%{?dist}
Summary:	A PEG Parser-Interpreter in Python
%{?python_provide:%python_provide python3-%{srcname}}

License:	GPLv2
URL:		http://fdik.org/pyPEG
Source0:	https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:  noarch
BuildRequires:	python3-devel
BuildRequires:	python3-pytest
Requires: python3-lxml

%description
pyPEG is a plain and simple intrinsic parser interpreter framework for Python
version 3.x. It is based on Parsing Expression Grammar, PEG.
With pyPEG you can parse many formal languages in a very easy way.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build

%install
%py3_install


%check
PYTHONPATH=. py.test-%{python3_version} pypeg2/test


%files
%license LICENSE.txt
%doc README.txt CHANGES.txt PKG-INFO docs
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python3_sitelib}/pypeg2


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.15.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 16 2016 Tomas Orsava <torsava@redhat.com> - 2.15.2-1
- Let there be package.
- This package is needed as a dependency for qutebrowser.

